<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.PointsProductMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.entity.PointsProduct">
            <id property="id" column="id" />
            <result property="name" column="name" />
            <result property="description" column="description" />
            <result property="imageUrl" column="image_url" />
            <result property="pointsPrice" column="points_price" />
            <result property="stock" column="stock" />
            <result property="category" column="category" />
            <result property="isRecommend" column="is_recommend" />
            <result property="status" column="status" />
            <result property="sortOrder" column="sort_order" />
            <result property="createTime" column="create_time" />
            <result property="updateTime" column="update_time" />
    </resultMap>

    <sql id="Base_Column_List">
        id,name,description,image_url,points_price,stock,
        category,is_recommend,status,sort_order,create_time,
        update_time
    </sql>
</mapper>
